<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" id="tech-glib" xml:lang="es">

  <info>
    <link type="guide" xref="tech" group="glib"/>

    <credit type="author copyright">
      <name>Federico Mena Quintero</name>
      <email its:translate="no">federico@gnome.org</email>
      <years>2013</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>Estructuras de datos y utilidades para programas en C</desc>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Daniel Mustieles</mal:name>
      <mal:email>daniel.mustieles@gmail.com</mal:email>
      <mal:years>2011-2019</mal:years>
    </mal:credit>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Jorge González</mal:name>
      <mal:email>jorgegonz@svn.gnome.org</mal:email>
      <mal:years>2007-2010</mal:years>
    </mal:credit>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Mario Carrión</mal:name>
      <mal:email>mario@monouml.org</mal:email>
      <mal:years>2006</mal:years>
    </mal:credit>
  </info>

<title>GLib</title>

  <p>GLib es la principal biblioteca de GNOME. Proporciona estructuras de datos sencillas para programas en C (listas enlazadas, árboles binarios, tablas hash) y varias utilidades como funciones de manipulación de cadenas.</p>

  <p>Si escribe programas en C, normalmente no necesitará conocer GLib pero si lo hace, GLib simplificará mucho su vida como programador en C.</p>

  <list style="compact">
    <item><p><link href="http://developer.gnome.org/glib/stable/">Manual de referencia de GLib</link></p></item>
  </list>

</page>
